Package org.apache.felix.webconsole.bundleinfo

## Class BundleInfo

- java.lang.Object
- - org.apache.felix.webconsole.bundleinfo.BundleInfo

    public class BundleInfo
    extends Object

This entity defines additional bundle information entry, that is provided by the `BundleInfoProvider`. Each information entry is featured by name, value, type and description.

Author:
  Valentin Valchev

### Constructor Summary

Constructors
`BundleInfo​(String name, Object value, BundleInfoType type, String description)` Creates a new bundle information entry.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription()` Gets user-friendly description of the key pair.
`String` `getName()` Gets the name of the information entry.
`BundleInfoType` `getType()` Gets the type of the information value.
`Object` `getValue()` Gets the information value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleInfo

    public BundleInfo​(String name,
                      Object value,
                      BundleInfoType type,
                      String description)

Creates a new bundle information entry.

Parameters:
  `name` - the name of the entry
  `value` - the value associated with that entry
  `type` - the type of the value
  `description` - additional, user-friendly description for that value.

### Method Detail

#### getName

    public String getName()

Gets the name of the information entry. The name should be localized according the requested locale.

Returns:
  the name of that information key.

#### getDescription

    public String getDescription()

Gets user-friendly description of the key pair. The description should be localized according the requested locale.

Returns:
  the description for that information key.

#### getValue

    public Object getValue()

Gets the information value.

Returns:
  the value.

#### getType

    public BundleInfoType getType()

Gets the type of the information value.

Returns:
  the information type.